import { render } from '@testing-library/react'
import { scaleLinear } from 'd3'
import { FluidType } from 'enums'
import React from 'react'
import AxisRight from './AxisRight'

describe('AxisRight component test', () => {
  it('should render correctly AxisRight', () => {
    const { container } = render(
      <svg>
        <AxisRight
          fluidType={FluidType.ELECTRICITY}
          width={40}
          marginRight={5}
          marginTop={5}
          yScale={scaleLinear()}
        />
      </svg>
    )
    expect(container).toMatchSnapshot()
  })
})
