import { FluidSlugType } from 'enums'

export interface KonnectorConfig {
  name: string
  oauth: boolean
  slug: FluidSlugType
  cron?: string
  siteLink: string
  activation: string
}

export interface FluidConfig {
  fluidTypeId: number
  name: string
  coefficient: number
  startDate: string
  dataDelayOffset: number
  konnectorConfig: KonnectorConfig
}
