const _ = require('lodash')

export function getRoundFloat(data: number) {
  return Math.round((data + Number.EPSILON) * 100) / 100
}

export function getPercentage(dataA: number[], dataB: number[]) {
  return Math.round(
    Number.parseFloat(((1 - _.mean(dataA) / _.mean(dataB)) * 100).toFixed(2))
  )
}

export function sum(dataA: number[]) {
  return Number.parseInt(_.sum(dataA))
}
